import{s as ie,n as se,o as ae}from"../chunks/scheduler.389d799c.js";import{S as oe,i as re,g as o,s,r as F,A as le,h as r,f as n,c as a,j as te,u as q,x as c,k as ne,y as ce,a as i,v as G,d as O,t as W,w as V}from"../chunks/index.8f81d18f.js";import{H as j}from"../chunks/Heading.41733039.js";function de(Q){let l,C,H,L,d,x,f,B="🤗 Inference Endpoints offers a secure production solution to easily deploy any 🤗 Transformers, Sentence-Transformers and Diffusion models from the Hub on dedicated and autoscaling infrastructure managed by Hugging Face.",E,p,J='A Hugging Face Endpoint is built from a <a href="https://huggingface.co/models" rel="nofollow">Hugging Face Model Repository</a>. When an Endpoint is created, the service creates image artifacts that are either built from the model you select or a custom-provided container image. The image artifacts are completely decoupled from the Hugging Face Hub source repositories to ensure the highest security and reliability levels.',M,u,K='🤗 Inference Endpoints support all of the <a href="/docs/inference-endpoints/supported_tasks">🤗 Transformers, Sentence-Transformers and Diffusion tasks</a> as well as <a href="/docs/inference-endpoints/guides/custom_handler">custom tasks</a> not supported by 🤗 Transformers yet like speaker diarization and diffusion.',A,m,N='In addition, 🤗 Inference Endpoints gives you the option to use a custom container image managed on an external service, for instance, <a href="https://hub.docker.com/" rel="nofollow">Docker Hub</a>, <a href="https://aws.amazon.com/ecr/?nc1=h_ls" rel="nofollow">AWS ECR</a>, <a href="https://azure.microsoft.com/de-de/services/container-registry/" rel="nofollow">Azure ACR</a>, or <a href="https://cloud.google.com/container-registry?hl=de" rel="nofollow">Google GCR</a>.',P,h,X='<img src="https://raw.githubusercontent.com/huggingface/hf-endpoints-documentation/main/assets/creation_flow.png" alt="creation-flow"/>',S,g,b,_,Y='<li><a href="/docs/inference-endpoints/security">Security &amp; Compliance</a></li> <li><a href="/docs/inference-endpoints/supported_tasks">Supported Transformers Task</a></li> <li><a href="/docs/inference-endpoints/api_reference">API Reference</a></li> <li><a href="/docs/inference-endpoints/autoscaling">Autoscaling</a></li> <li><a href="/docs/inference-endpoints/faq">FAQ</a></li> <li><a href="/docs/inference-endpoints/support">Help &amp; Support</a></li>',k,v,z,$,Z='<li><a href="/docs/inference-endpoints/guides/access">Access the solution (UI)</a></li> <li><a href="/docs/inference-endpoints/guides/create_endpoint">Create your first Endpoint</a></li> <li><a href="/docs/inference-endpoints/guides/test_endpoint">Send Requests to Endpoints</a></li> <li><a href="/docs/inference-endpoints/guides/update_endpoint">Update your Endpoint</a></li> <li><a href="/docs/inference-endpoints/guides/advanced">Advanced Setup (Instance Types, Auto Scaling, Versioning)</a></li> <li><a href="/docs/inference-endpoints/guides/private_link">Create a Private Endpoint with AWS PrivateLink</a></li> <li><a href="/docs/inference-endpoints/guides/custom_dependencies">Add custom Dependencies</a></li> <li><a href="/docs/inference-endpoints/guides/custom_handler">Create custom Inference Handler</a></li> <li><a href="/docs/inference-endpoints/guides/custom_container">Use a custom Container Image</a></li> <li><a href="/docs/inference-endpoints/guides/logs">Access and read Logs</a></li> <li><a href="/docs/inference-endpoints/guides/metrics">Access and view Metrics</a></li> <li><a href="/docs/inference-endpoints/guides/change_organization">Change Organization or Account</a></li>',I,T,R,y,ee='<li><a href="/docs/inference-endpoints/others/runtime">Inference Endpoints Versions</a></li> <li><a href="/docs/inference-endpoints/others/serialization">Serialization &amp; Deserialization for Requests</a></li>',D,w,U;return d=new j({props:{title:"🤗 Inference Endpoints",local:"-inference-endpoints",headingTag:"h1"}}),g=new j({props:{title:"Documentation and Examples",local:"documentation-and-examples",headingTag:"h2"}}),v=new j({props:{title:"Guides",local:"guides",headingTag:"h3"}}),T=new j({props:{title:"Others",local:"others",headingTag:"h3"}}),{c(){l=o("meta"),C=s(),H=o("p"),L=s(),F(d.$$.fragment),x=s(),f=o("p"),f.textContent=B,E=s(),p=o("p"),p.innerHTML=J,M=s(),u=o("p"),u.innerHTML=K,A=s(),m=o("p"),m.innerHTML=N,P=s(),h=o("p"),h.innerHTML=X,S=s(),F(g.$$.fragment),b=s(),_=o("ul"),_.innerHTML=Y,k=s(),F(v.$$.fragment),z=s(),$=o("ul"),$.innerHTML=Z,I=s(),F(T.$$.fragment),R=s(),y=o("ul"),y.innerHTML=ee,D=s(),w=o("p"),this.h()},l(e){const t=le("svelte-u9bgzb",document.head);l=r(t,"META",{name:!0,content:!0}),t.forEach(n),C=a(e),H=r(e,"P",{}),te(H).forEach(n),L=a(e),q(d.$$.fragment,e),x=a(e),f=r(e,"P",{"data-svelte-h":!0}),c(f)!=="svelte-1pr3anl"&&(f.textContent=B),E=a(e),p=r(e,"P",{"data-svelte-h":!0}),c(p)!=="svelte-13vz9k7"&&(p.innerHTML=J),M=a(e),u=r(e,"P",{"data-svelte-h":!0}),c(u)!=="svelte-1fagrgs"&&(u.innerHTML=K),A=a(e),m=r(e,"P",{"data-svelte-h":!0}),c(m)!=="svelte-2bm18l"&&(m.innerHTML=N),P=a(e),h=r(e,"P",{"data-svelte-h":!0}),c(h)!=="svelte-1uza85p"&&(h.innerHTML=X),S=a(e),q(g.$$.fragment,e),b=a(e),_=r(e,"UL",{"data-svelte-h":!0}),c(_)!=="svelte-1nymdtf"&&(_.innerHTML=Y),k=a(e),q(v.$$.fragment,e),z=a(e),$=r(e,"UL",{"data-svelte-h":!0}),c($)!=="svelte-5vywp9"&&($.innerHTML=Z),I=a(e),q(T.$$.fragment,e),R=a(e),y=r(e,"UL",{"data-svelte-h":!0}),c(y)!=="svelte-6dnevm"&&(y.innerHTML=ee),D=a(e),w=r(e,"P",{}),te(w).forEach(n),this.h()},h(){ne(l,"name","hf:doc:metadata"),ne(l,"content",fe)},m(e,t){ce(document.head,l),i(e,C,t),i(e,H,t),i(e,L,t),G(d,e,t),i(e,x,t),i(e,f,t),i(e,E,t),i(e,p,t),i(e,M,t),i(e,u,t),i(e,A,t),i(e,m,t),i(e,P,t),i(e,h,t),i(e,S,t),G(g,e,t),i(e,b,t),i(e,_,t),i(e,k,t),G(v,e,t),i(e,z,t),i(e,$,t),i(e,I,t),G(T,e,t),i(e,R,t),i(e,y,t),i(e,D,t),i(e,w,t),U=!0},p:se,i(e){U||(O(d.$$.fragment,e),O(g.$$.fragment,e),O(v.$$.fragment,e),O(T.$$.fragment,e),U=!0)},o(e){W(d.$$.fragment,e),W(g.$$.fragment,e),W(v.$$.fragment,e),W(T.$$.fragment,e),U=!1},d(e){e&&(n(C),n(H),n(L),n(x),n(f),n(E),n(p),n(M),n(u),n(A),n(m),n(P),n(h),n(S),n(b),n(_),n(k),n(z),n($),n(I),n(R),n(y),n(D),n(w)),n(l),V(d,e),V(g,e),V(v,e),V(T,e)}}}const fe='{"title":"🤗 Inference Endpoints","local":"-inference-endpoints","sections":[{"title":"Documentation and Examples","local":"documentation-and-examples","sections":[{"title":"Guides","local":"guides","sections":[],"depth":3},{"title":"Others","local":"others","sections":[],"depth":3}],"depth":2}],"depth":1}';function pe(Q){return ae(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class ge extends oe{constructor(l){super(),re(this,l,pe,de,ie,{})}}export{ge as component};
